<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__usbdev__device__descr__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_usbdev_device_descr_t</compoundname>
    <includes local="no">cy_usb_dev_descr.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__usbdev__device__descr__t_1aecbd813046544b9250117a0566aadd14" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_usbdev_device_descr_t::bLength</definition>
        <argsstring />
        <name>bLength</name>
        <briefdescription>
<para>Size of the Descriptor in Bytes. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-usbdev/cy_usb_dev_descr.h" bodystart="188" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-usbdev/cy_usb_dev_descr.h" line="188" />
      </memberdef>
      <memberdef id="structcy__stc__usbdev__device__descr__t_1ae8fc0e6c17397e9f19e76b2d52cab4a8" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_usbdev_device_descr_t::bDescriptorType</definition>
        <argsstring />
        <name>bDescriptorType</name>
        <briefdescription>
<para>Constant Device Descriptor. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-usbdev/cy_usb_dev_descr.h" bodystart="189" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-usbdev/cy_usb_dev_descr.h" line="189" />
      </memberdef>
      <memberdef id="structcy__stc__usbdev__device__descr__t_1ac56838bd4119bb5094df9468e6a5c6ca" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t cy_stc_usbdev_device_descr_t::bcdUSB</definition>
        <argsstring />
        <name>bcdUSB</name>
        <briefdescription>
<para>USB Specification Number to which the device complies. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-usbdev/cy_usb_dev_descr.h" bodystart="190" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-usbdev/cy_usb_dev_descr.h" line="190" />
      </memberdef>
      <memberdef id="structcy__stc__usbdev__device__descr__t_1aaf704494fc8e026e78af2abbc9c81e32" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_usbdev_device_descr_t::bDeviceClass</definition>
        <argsstring />
        <name>bDeviceClass</name>
        <briefdescription>
<para>Class Code (Assigned by USB Org): If equal to Zero, each interface specifies its own class code If equal to 0xFF, the class code is vendor specified. </para>        </briefdescription>
        <detaileddescription>
<para>Otherwise, field is valid Class Code. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-usbdev/cy_usb_dev_descr.h" bodystart="191" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-usbdev/cy_usb_dev_descr.h" line="191" />
      </memberdef>
      <memberdef id="structcy__stc__usbdev__device__descr__t_1a688f054dcbda5a8afcc5e0f03a01989d" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_usbdev_device_descr_t::bDeviceSubClass</definition>
        <argsstring />
        <name>bDeviceSubClass</name>
        <briefdescription>
<para>Subclass Code (Assigned by USB Org) </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-usbdev/cy_usb_dev_descr.h" bodystart="196" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-usbdev/cy_usb_dev_descr.h" line="196" />
      </memberdef>
      <memberdef id="structcy__stc__usbdev__device__descr__t_1af5ae81fcf8bd3f21d118deb05c64b99c" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_usbdev_device_descr_t::bDeviceProtocol</definition>
        <argsstring />
        <name>bDeviceProtocol</name>
        <briefdescription>
<para>Protocol Code (Assigned by USB Org) </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-usbdev/cy_usb_dev_descr.h" bodystart="197" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-usbdev/cy_usb_dev_descr.h" line="197" />
      </memberdef>
      <memberdef id="structcy__stc__usbdev__device__descr__t_1acd3e640f123462bdead0e5df36723f5c" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_usbdev_device_descr_t::bMaxPacketSize</definition>
        <argsstring />
        <name>bMaxPacketSize</name>
        <briefdescription>
<para>Maximum Packet Size for Zero Endpoint. </para>        </briefdescription>
        <detaileddescription>
<para>Valid Sizes are 8, 16, 32, 64 </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-usbdev/cy_usb_dev_descr.h" bodystart="198" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-usbdev/cy_usb_dev_descr.h" line="198" />
      </memberdef>
      <memberdef id="structcy__stc__usbdev__device__descr__t_1abbc0f9e538526d6e3b1945275418d1cc" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t cy_stc_usbdev_device_descr_t::idVendor</definition>
        <argsstring />
        <name>idVendor</name>
        <briefdescription>
<para>Vendor ID (Assigned by USB Org) </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-usbdev/cy_usb_dev_descr.h" bodystart="199" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-usbdev/cy_usb_dev_descr.h" line="199" />
      </memberdef>
      <memberdef id="structcy__stc__usbdev__device__descr__t_1afa761db25b797feb1aba98a02c5e27a3" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t cy_stc_usbdev_device_descr_t::idProduct</definition>
        <argsstring />
        <name>idProduct</name>
        <briefdescription>
<para>Product ID (Assigned by Manufacturer) </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-usbdev/cy_usb_dev_descr.h" bodystart="200" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-usbdev/cy_usb_dev_descr.h" line="200" />
      </memberdef>
      <memberdef id="structcy__stc__usbdev__device__descr__t_1ac6163f32cdd505a3c79bff9cb0798902" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t cy_stc_usbdev_device_descr_t::bcdDevice</definition>
        <argsstring />
        <name>bcdDevice</name>
        <briefdescription>
<para>Release Number. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-usbdev/cy_usb_dev_descr.h" bodystart="201" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-usbdev/cy_usb_dev_descr.h" line="201" />
      </memberdef>
      <memberdef id="structcy__stc__usbdev__device__descr__t_1a61f92b9a09bc8729c445cd11a7c4951a" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_usbdev_device_descr_t::iManufacturer</definition>
        <argsstring />
        <name>iManufacturer</name>
        <briefdescription>
<para>Index of Manufacturer String Descriptor. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-usbdev/cy_usb_dev_descr.h" bodystart="202" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-usbdev/cy_usb_dev_descr.h" line="202" />
      </memberdef>
      <memberdef id="structcy__stc__usbdev__device__descr__t_1a0a48ffc9d33d53a530adef55bf139ee0" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_usbdev_device_descr_t::iProduct</definition>
        <argsstring />
        <name>iProduct</name>
        <briefdescription>
<para>Index of Product String Descriptor. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-usbdev/cy_usb_dev_descr.h" bodystart="203" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-usbdev/cy_usb_dev_descr.h" line="203" />
      </memberdef>
      <memberdef id="structcy__stc__usbdev__device__descr__t_1a01e1fc974ba95d20cb473298ae976d3f" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_usbdev_device_descr_t::iSerialNumber</definition>
        <argsstring />
        <name>iSerialNumber</name>
        <briefdescription>
<para>Index of Serial Number String Descriptor. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-usbdev/cy_usb_dev_descr.h" bodystart="204" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-usbdev/cy_usb_dev_descr.h" line="204" />
      </memberdef>
      <memberdef id="structcy__stc__usbdev__device__descr__t_1ac31afb5eb41cec65609c2c290877b268" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_usbdev_device_descr_t::bNumConfigurations</definition>
        <argsstring />
        <name>bNumConfigurations</name>
        <briefdescription>
<para>Number of Possible Configurations. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-usbdev/cy_usb_dev_descr.h" bodystart="205" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-usbdev/cy_usb_dev_descr.h" line="205" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Device descriptor. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <location bodyend="206" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-usbdev/cy_usb_dev_descr.h" bodystart="186" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-usbdev/cy_usb_dev_descr.h" line="187" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__usbdev__device__descr__t_1ac6163f32cdd505a3c79bff9cb0798902" virt="non-virtual"><scope>cy_stc_usbdev_device_descr_t</scope><name>bcdDevice</name></member>
      <member prot="public" refid="structcy__stc__usbdev__device__descr__t_1ac56838bd4119bb5094df9468e6a5c6ca" virt="non-virtual"><scope>cy_stc_usbdev_device_descr_t</scope><name>bcdUSB</name></member>
      <member prot="public" refid="structcy__stc__usbdev__device__descr__t_1ae8fc0e6c17397e9f19e76b2d52cab4a8" virt="non-virtual"><scope>cy_stc_usbdev_device_descr_t</scope><name>bDescriptorType</name></member>
      <member prot="public" refid="structcy__stc__usbdev__device__descr__t_1aaf704494fc8e026e78af2abbc9c81e32" virt="non-virtual"><scope>cy_stc_usbdev_device_descr_t</scope><name>bDeviceClass</name></member>
      <member prot="public" refid="structcy__stc__usbdev__device__descr__t_1af5ae81fcf8bd3f21d118deb05c64b99c" virt="non-virtual"><scope>cy_stc_usbdev_device_descr_t</scope><name>bDeviceProtocol</name></member>
      <member prot="public" refid="structcy__stc__usbdev__device__descr__t_1a688f054dcbda5a8afcc5e0f03a01989d" virt="non-virtual"><scope>cy_stc_usbdev_device_descr_t</scope><name>bDeviceSubClass</name></member>
      <member prot="public" refid="structcy__stc__usbdev__device__descr__t_1aecbd813046544b9250117a0566aadd14" virt="non-virtual"><scope>cy_stc_usbdev_device_descr_t</scope><name>bLength</name></member>
      <member prot="public" refid="structcy__stc__usbdev__device__descr__t_1acd3e640f123462bdead0e5df36723f5c" virt="non-virtual"><scope>cy_stc_usbdev_device_descr_t</scope><name>bMaxPacketSize</name></member>
      <member prot="public" refid="structcy__stc__usbdev__device__descr__t_1ac31afb5eb41cec65609c2c290877b268" virt="non-virtual"><scope>cy_stc_usbdev_device_descr_t</scope><name>bNumConfigurations</name></member>
      <member prot="public" refid="structcy__stc__usbdev__device__descr__t_1afa761db25b797feb1aba98a02c5e27a3" virt="non-virtual"><scope>cy_stc_usbdev_device_descr_t</scope><name>idProduct</name></member>
      <member prot="public" refid="structcy__stc__usbdev__device__descr__t_1abbc0f9e538526d6e3b1945275418d1cc" virt="non-virtual"><scope>cy_stc_usbdev_device_descr_t</scope><name>idVendor</name></member>
      <member prot="public" refid="structcy__stc__usbdev__device__descr__t_1a61f92b9a09bc8729c445cd11a7c4951a" virt="non-virtual"><scope>cy_stc_usbdev_device_descr_t</scope><name>iManufacturer</name></member>
      <member prot="public" refid="structcy__stc__usbdev__device__descr__t_1a0a48ffc9d33d53a530adef55bf139ee0" virt="non-virtual"><scope>cy_stc_usbdev_device_descr_t</scope><name>iProduct</name></member>
      <member prot="public" refid="structcy__stc__usbdev__device__descr__t_1a01e1fc974ba95d20cb473298ae976d3f" virt="non-virtual"><scope>cy_stc_usbdev_device_descr_t</scope><name>iSerialNumber</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>